<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/list_bg"
    android:orientation="vertical"
    tools:context=".activity.GnjRuKuActivity">

    <include layout="@layout/title_tool_bar" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="10dp"
        android:gravity="center_vertical">

        <LinearLayout
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="50dp"
            android:layout_marginLeft="20dp"
            android:layout_marginRight="20dp"
            android:background="@drawable/search_shape"
            android:orientation="horizontal">

            <ImageView
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:layout_gravity="center"
                android:layout_marginLeft="30dp"
                android:hint="@color/white"
                android:src="@mipmap/search" />

            <EditText
                android:id="@+id/search_content"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginLeft="2dp"
                android:layout_weight="1"
                android:background="@android:color/transparent"
                android:hint="请输入板车号"
                android:imeOptions="actionDone"
                android:inputType="text"
                android:maxLines="1"
                android:singleLine="true"
                android:textSize="16dp" />

            <ImageView
                android:id="@+id/carNoScan"
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:layout_gravity="center"
                android:layout_marginLeft="30dp"
                android:src="@mipmap/scan_code" />

            <TextView
                android:id="@+id/search"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_marginLeft="20dp"
                android:layout_marginRight="20dp"
                android:gravity="center_vertical"
                android:text="搜索"
                android:textColor="@color/colorPrimary"
                />
        </LinearLayout>

        <ImageView
            android:id="@+id/addIcon"
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:layout_marginRight="20dp"
            android:layout_gravity="center"
            android:src="@mipmap/gnj_add"/>
    </LinearLayout>


    <!--运单信息 中间-->
    <LinearLayout
        android:id="@+id/scrollView"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginLeft="20dp"
        android:layout_marginTop="20dp"
        android:layout_marginRight="20dp"
        android:layout_weight="5">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

<!--            关联运单列表-->
            <LinearLayout
                android:id="@+id/gnc_transfer_list_layout"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_gravity="center_vertical"
                android:layout_marginTop="20dp"
                android:background="@color/list_bg"
                android:gravity="center_vertical"
                android:orientation="vertical"
                android:visibility="visible">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:gravity="center|start"
                        android:text="全选"/>

                    <ImageView
                        android:id="@+id/checkIcon"
                        android:layout_width="30dp"
                        android:layout_height="30dp"
                        android:layout_marginLeft="2dp"
                        android:src="@mipmap/all_check_icon" />

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1" />

                </LinearLayout>

                <com.scwang.smart.refresh.layout.SmartRefreshLayout
                    android:id="@+id/refreshLayout"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent">

                    <com.scwang.smart.refresh.header.ClassicsHeader
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/gnc_transfer_waybill_list"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:overScrollMode="never" />

                    <com.scwang.smart.refresh.footer.ClassicsFooter
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.scwang.smart.refresh.layout.SmartRefreshLayout>
            </LinearLayout>

        </LinearLayout>
    </LinearLayout>


    <!--    底部-->
    <LinearLayout
        android:id="@+id/operatorLayout"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:orientation="horizontal"
        android:padding="5dp"
        android:visibility="gone">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="10dp"
            android:layout_marginBottom="10dp">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1" />

            <TextView
                android:id="@+id/submit"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@drawable/submit_shape"
                android:gravity="center"
                android:text="装车确认"
                android:textColor="@color/white"
               />

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1" />

            <TextView
                android:id="@+id/unloading"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@drawable/submit_shape"
                android:gravity="center"
                android:text="卸车确认"
                android:textColor="@color/white"
               />

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1" />


        </LinearLayout>


    </LinearLayout>
</LinearLayout>